Page MenuHomeFreeBSD

bsd.port.mk: print the name of the problematic archive on failed extraction
ClosedPublic

Authored by 0mp on Jun 7 2020, 7:46 PM.

Details

Summary
Print the name of the problematic archive on failed extraction

It is useful when working with a port with a large number of distfiles. In case one of them is failing to extract, the framework would print out its name to ease debugging.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

0mp requested review of this revision.Jun 7 2020, 7:46 PM
linimon retitled this revision from Print the name of the problematic archive on failed extraction to bsd.port.mk: print the name of the problematic archive on failed extraction.Jun 26 2020, 8:04 AM

Assuming you have tested it and it works.

This revision was not accepted when it landed; it landed in state Needs Review.Sep 27 2020, 5:46 PM
This revision was automatically updated to reflect the committed changes.